Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# corbafwd.h File Reference

`#include "ace/pre.h"`
`#include "ace/CDR_Base.h"`
`#include "tao/try_macros.h"`
`#include "tao/varbase.h"`
`#include "tao/TAO_Export.h"`
`#include "ace/post.h"`

Include dependency graph for corbafwd.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Collocation_Strategies
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | TAO_SYSTEM_EXCEPTION_LIST
#define | TAO_SYSTEM_EXCEPTION(name)
#define | TAO_ORB_TYPE 0x54414f00U
#define | TAO_TAG_INVALID_PROFILE -1
#define | TAO_TAG_IIOP_PROFILE 0
#define | TAO_TAG_MULTIPLE_COMPONENT_PROFILE 1
#define | TAO_TAG_UIOP_PROFILE 0x54414f00U
#define | TAO_TAG_SHMEM_PROFILE 0x54414f02U
#define | TAO_TAG_UDP_PROFILE 0x54414f04U
#define | TAO_TAG_BIOP_PROFILE 0x54414f0FU
#define | TAO_TAG_ENDPOINTS 0x54414f02U
#define | TAO_SVC_CONTEXT_ALIGN 0x54414f00U
#define | TAO_OMG_VMCID 0x4f4d0000
#define | TAO_DEFAULT_MINOR_CODE 0x54410000
#define | TAO_MAX_MINOR_CODE 0x54410FFF
#define | TAO_INVOCATION_LOCATION_FORWARD_MINOR_CODE (0x01U << 7)
#define | TAO_INVOCATION_SEND_REQUEST_MINOR_CODE (0x02U << 7)
#define | TAO_POA_DISCARDING (0x03U << 7)
#define | TAO_POA_HOLDING (0x04U << 7)
#define | TAO_UNHANDLED_SERVER_CXX_EXCEPTION (0x05U << 7)
#define | TAO_INVOCATION_RECV_REQUEST_MINOR_CODE (0x06U << 7)
#define | TAO_CONNECTOR_REGISTRY_NO_USABLE_PROTOCOL (0x07U << 7)
#define | TAO_MPROFILE_CREATION_ERROR (0x08U << 7)
#define | TAO_TIMEOUT_CONNECT_MINOR_CODE (0x09U << 7)
#define | TAO_TIMEOUT_SEND_MINOR_CODE (0x0AU << 7)
#define | TAO_TIMEOUT_RECV_MINOR_CODE (0x0BU << 7)
#define | TAO_IMPLREPO_MINOR_CODE (0x0CU << 7)
#define | TAO_ACCEPTOR_REGISTRY_OPEN_LOCATION_CODE (0x0DU << 7)
#define | TAO_ORB_CORE_INIT_LOCATION_CODE (0x0EU << 7)
#define | TAO_POLICY_NARROW_CODE (0x0FU << 7)
#define | TAO_GUARD_FAILURE (0x10U << 7)
#define | TAO_POA_BEING_DESTROYED (0x11U << 7)
#define | TAO_POA_INACTIVE (0x12U << 7)
#define | TAO_UNSPECIFIED_MINOR_CODE 0x0U
#define | TAO_ETIMEDOUT_MINOR_CODE 0x1U
#define | TAO_ENFILE_MINOR_CODE 0x2U
#define | TAO_EMFILE_MINOR_CODE 0x3U
#define | TAO_EPIPE_MINOR_CODE 0x4U
#define | TAO_ECONNREFUSED_MINOR_CODE 0x5U
#define | TAO_ENOENT_MINOR_CODE 0x6U
#define | TAO_EBADF_MINOR_CODE 0x7U
#define | TAO_ENOSYS_MINOR_CODE 0x8U
#define | TAO_EPERM_MINOR_CODE 0x9U
#define | TAO_EAFNOSUPPORT_MINOR_CODE 0xAU
#define | TAO_EAGAIN_MINOR_CODE 0xBU
#define | TAO_ENOMEM_MINOR_CODE 0xCU
#define | TAO_EACCES_MINOR_CODE 0xDU
#define | TAO_EFAULT_MINOR_CODE 0xEU
#define | TAO_EBUSY_MINOR_CODE 0xFU
#define | TAO_EEXIST_MINOR_CODE 0x10U
#define | TAO_EINVAL_MINOR_CODE 0x11U
#define | TAO_ECOMM_MINOR_CODE 0x12U
#define | TAO_ECONNRESET_MINOR_CODE 0x13U
#define | TAO_ENOTSUP_MINOR_CODE 0x14U
#define | TAO_CODESET_ID_ISO8859_1 0x00010001U
#define | TAO_CODESET_ID_UNICODE 0x00010109U
#define | TAO_DEFAULT_CHAR_CODESET_ID TAO_CODESET_ID_ISO8859_1
#define | TAO_DEFAULT_WCHAR_CODESET_ID TAO_CODESET_ID_UNICODE
#define | TAO_INVALID_PRIORITY -1
#define | TAO_TWOWAY_RESPONSE_FLAG 255
## Typedefs
typedef class CORBA_Any* | CORBA_Any_ptr
typedef class CORBA_TypeCode* | CORBA_TypeCode_ptr
typedef class CORBA_Exception* | CORBA_Exception_ptr
typedef CORBA_WrongTransaction* | CORBA_WrongTransaction_ptr
typedef class CORBA_ConstructionPolicy* | CORBA_ConstructionPolicy_ptr
typedef class CORBA_Request* | CORBA_Request_ptr
typedef class CORBA_NamedValue* | CORBA_NamedValue_ptr
typedef class CORBA_NVList* | CORBA_NVList_ptr
typedef class CORBA_Context* | CORBA_Context_ptr
typedef class CORBA_ContextList* | CORBA_ContextList_ptr
typedef class CORBA_ORB* | CORBA_ORB_ptr
typedef class CORBA_Object* | CORBA_Object_ptr
typedef class CORBA_LocalObject* | CORBA_LocalObject_ptr
typedef class CORBA_Current* | CORBA_Current_ptr
typedef class CORBA_ServerRequest* | CORBA_ServerRequest_ptr
typedef class CORBA_Environment* | CORBA_Environment_ptr
typedef CORBA_ServiceDetail* | CORBA_ServiceDetail_ptr
typedef CORBA_ServiceInformation* | CORBA_ServiceInformation_ptr
typedef class CORBA_Principal* | CORBA_Principal_ptr
typedef class CORBA_ImplementationDef* | CORBA_ImplementationDef_ptr
typedef CORBA_ValueFactoryBase* | CORBA_ValueFactory_ptr
typedef CORBA_PolicyError* | CORBA_PolicyError_ptr
typedef CORBA_InvalidPolicies* | CORBA_InvalidPolicies_ptr
typedef CORBA_PolicyManager* | CORBA_PolicyManager_ptr
typedef CORBA_PolicyCurrent* | CORBA_PolicyCurrent_ptr
typedef CORBA_Policy* | CORBA_Policy_ptr
typedef CORBA_DomainManager* | CORBA_DomainManager_ptr
typedef CORBA_DomainManagerList* | CORBA_DomainManagerList_ptr
typedef CORBA_PollableSet* | CORBA_PollableSet_ptr
typedef CORBA_Pollable* | CORBA_Pollable_ptr
typedef CORBA_DIIPollable* | CORBA_DIIPollable_ptr
typedef CORBA_ORB_ObjectIdList* | CORBA_ORB_ObjectIdList_ptr
typedef CORBA_IRObject* | CORBA_IRObject_ptr
typedef CORBA_Contained* | CORBA_Contained_ptr
typedef CORBA_Repository* | CORBA_Repository_ptr
typedef CORBA_Container* | CORBA_Container_ptr
typedef CORBA_ModuleDef* | CORBA_ModuleDef_ptr
typedef CORBA_ConstantDef* | CORBA_ConstantDef_ptr
typedef CORBA_IDLType* | CORBA_IDLType_ptr
typedef CORBA_StructDef* | CORBA_StructDef_ptr
typedef CORBA_UnionDef* | CORBA_UnionDef_ptr
typedef CORBA_EnumDef* | CORBA_EnumDef_ptr
typedef CORBA_AliasDef* | CORBA_AliasDef_ptr
typedef CORBA_InterfaceDef* | CORBA_InterfaceDef_ptr
typedef CORBA_AbstractInterfaceDef* | CORBA_AbstractInterfaceDef_ptr
typedef CORBA_LocalInterfaceDef* | CORBA_LocalInterfaceDef_ptr
typedef CORBA_ExceptionDef* | CORBA_ExceptionDef_ptr
typedef CORBA_NativeDef* | CORBA_NativeDef_ptr
typedef CORBA_ValueDef* | CORBA_ValueDef_ptr
typedef CORBA_ValueBoxDef* | CORBA_ValueBoxDef_ptr
typedef CORBA_TypedefDef* | CORBA_TypedefDef_ptr
typedef CORBA_PrimitiveDef* | CORBA_PrimitiveDef_ptr
typedef CORBA_StringDef* | CORBA_StringDef_ptr
typedef CORBA_WstringDef* | CORBA_WstringDef_ptr
typedef CORBA_FixedDef* | CORBA_FixedDef_ptr
typedef CORBA_SequenceDef* | CORBA_SequenceDef_ptr
typedef CORBA_ArrayDef* | CORBA_ArrayDef_ptr
typedef CORBA_AttributeDef* | CORBA_AttributeDef_ptr
typedef CORBA_OperationDef* | CORBA_OperationDef_ptr
typedef CORBA_ValueMemberDef* | CORBA_ValueMemberDef_ptr
typedef CORBA_TypeCodeFactory* | CORBA_TypeCodeFactory_ptr
typedef CORBA_Bounds* | CORBA_Bounds_ptr
typedef u_int | CORBA_Flags
typedef void (* | TAO_Skeleton )( TAO_ServerRequest &, void *, void *, CORBA_Environment &ACE_TRY_ENV )
## Enumerations
enum | TAO_SERVANT_LOCATION { TAO_SERVANT_FOUND, TAO_DEFAULT_SERVANT, TAO_SERVANT_MANAGER, TAO_SERVANT_NOT_FOUND }
## Functions
TAO_Export CORBA_Environment& | TAO_default_environment (void)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR&, const TAO_opaque&)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR&, TAO_opaque&)
## Variables
TAO_SYSTEM_EXCEPTION_LIST class | CORBA_WrongTransaction
TAO_Export CORBA::TypeCode_ptr | TC_opaque

## Detailed Description

corbafwd.h,v 1.133 2001/06/14 19:40:33 parsons Exp

Forward declare the basic types used in the ORB implementation. Regular users of the ORB should only include tao/corba.h, but the implementation of the ORB itself should include this file. That reduces interdependency and speed up compilations and recompilations.

Author(s):
  Carlos O'Ryan , Chris Cleeland , Douglas C. Schmidt , Copyright 1994-1995 by Sun Microsystems Inc.

## Define Documentation

#define TAO_ACCEPTOR_REGISTRY_OPEN_LOCATION_CODE (0x0DU << 7)

#define TAO_CODESET_ID_ISO8859_1 0x00010001U

#define TAO_CODESET_ID_UNICODE 0x00010109U

#define TAO_CONNECTOR_REGISTRY_NO_USABLE_PROTOCOL (0x07U << 7)

#define TAO_DEFAULT_CHAR_CODESET_ID TAO_CODESET_ID_ISO8859_1

#define TAO_DEFAULT_MINOR_CODE 0x54410000

#define TAO_DEFAULT_WCHAR_CODESET_ID TAO_CODESET_ID_UNICODE

#define TAO_EACCES_MINOR_CODE 0xDU

#define TAO_EAFNOSUPPORT_MINOR_CODE 0xAU

#define TAO_EAGAIN_MINOR_CODE 0xBU

#define TAO_EBADF_MINOR_CODE 0x7U

#define TAO_EBUSY_MINOR_CODE 0xFU

#define TAO_ECOMM_MINOR_CODE 0x12U

#define TAO_ECONNREFUSED_MINOR_CODE 0x5U

#define TAO_ECONNRESET_MINOR_CODE 0x13U

#define TAO_EEXIST_MINOR_CODE 0x10U

#define TAO_EFAULT_MINOR_CODE 0xEU

#define TAO_EINVAL_MINOR_CODE 0x11U

#define TAO_EMFILE_MINOR_CODE 0x3U

#define TAO_ENFILE_MINOR_CODE 0x2U

#define TAO_ENOENT_MINOR_CODE 0x6U

#define TAO_ENOMEM_MINOR_CODE 0xCU

#define TAO_ENOSYS_MINOR_CODE 0x8U

#define TAO_ENOTSUP_MINOR_CODE 0x14U

#define TAO_EPERM_MINOR_CODE 0x9U

#define TAO_EPIPE_MINOR_CODE 0x4U

#define TAO_ETIMEDOUT_MINOR_CODE 0x1U

#define TAO_EXPORT_MACRO TAO_Export

#define TAO_GUARD_FAILURE (0x10U << 7)

#define TAO_IMPLREPO_MINOR_CODE (0x0CU << 7)

#define TAO_INVALID_PRIORITY -1

#define TAO_INVOCATION_LOCATION_FORWARD_MINOR_CODE (0x01U << 7)

#define TAO_INVOCATION_RECV_REQUEST_MINOR_CODE (0x06U << 7)

#define TAO_INVOCATION_SEND_REQUEST_MINOR_CODE (0x02U << 7)

#define TAO_MAX_MINOR_CODE 0x54410FFF

#define TAO_MPROFILE_CREATION_ERROR (0x08U << 7)

#define TAO_OMG_VMCID 0x4f4d0000

#define TAO_ORB_CORE_INIT_LOCATION_CODE (0x0EU << 7)

#define TAO_ORB_TYPE 0x54414f00U

#define TAO_POA_BEING_DESTROYED (0x11U << 7)

#define TAO_POA_DISCARDING (0x03U << 7)

#define TAO_POA_HOLDING (0x04U << 7)

#define TAO_POA_INACTIVE (0x12U << 7)

#define TAO_POLICY_NARROW_CODE (0x0FU << 7)

#define TAO_SVC_CONTEXT_ALIGN 0x54414f00U

#define TAO_SYSTEM_EXCEPTION( | name )

| Initializer:
    \
      TAO_NAMESPACE_STORAGE_CLASS TypeCode_ptr _tc_ ## name

#define TAO_SYSTEM_EXCEPTION( | name )

| Initializer:
    \
      typedef CORBA_ ## name      name

#define TAO_SYSTEM_EXCEPTION( | name )

| Initializer:
    \
      class CORBA_ ## name

#define TAO_SYSTEM_EXCEPTION_LIST

#define TAO_TAG_BIOP_PROFILE 0x54414f0FU

#define TAO_TAG_ENDPOINTS 0x54414f02U

#define TAO_TAG_IIOP_PROFILE 0

#define TAO_TAG_INVALID_PROFILE -1

#define TAO_TAG_MULTIPLE_COMPONENT_PROFILE 1

#define TAO_TAG_SHMEM_PROFILE 0x54414f02U

#define TAO_TAG_UDP_PROFILE 0x54414f04U

#define TAO_TAG_UIOP_PROFILE 0x54414f00U

#define TAO_TIMEOUT_CONNECT_MINOR_CODE (0x09U << 7)

#define TAO_TIMEOUT_RECV_MINOR_CODE (0x0BU << 7)

#define TAO_TIMEOUT_SEND_MINOR_CODE (0x0AU << 7)

#define TAO_TWOWAY_RESPONSE_FLAG 255

#define TAO_UNHANDLED_SERVER_CXX_EXCEPTION (0x05U << 7)

#define TAO_UNSPECIFIED_MINOR_CODE 0x0U

## Typedef Documentation

typedef CORBA_AbstractInterfaceDef* CORBA_AbstractInterfaceDef_ptr

typedef CORBA_AliasDef* CORBA_AliasDef_ptr

typedef class CORBA_Any* CORBA_Any_ptr

typedef CORBA_ArrayDef* CORBA_ArrayDef_ptr

typedef CORBA_AttributeDef* CORBA_AttributeDef_ptr

typedef CORBA_Bounds* CORBA_Bounds_ptr

typedef CORBA_ConstantDef* CORBA_ConstantDef_ptr

typedef CORBA_ConstructionPolicy* CORBA_ConstructionPolicy_ptr

typedef CORBA_Contained* CORBA_Contained_ptr

typedef CORBA_Container* CORBA_Container_ptr

typedef class CORBA_ContextList* CORBA_ContextList_ptr

typedef class CORBA_Context* CORBA_Context_ptr

typedef CORBA_Current* CORBA_Current_ptr

typedef CORBA_DIIPollable* CORBA_DIIPollable_ptr

typedef CORBA_DomainManagerList* CORBA_DomainManagerList_ptr

typedef CORBA_DomainManager* CORBA_DomainManager_ptr

typedef CORBA_EnumDef* CORBA_EnumDef_ptr

typedef class CORBA_Environment* CORBA_Environment_ptr

typedef CORBA_ExceptionDef* CORBA_ExceptionDef_ptr

typedef class CORBA_Exception* CORBA_Exception_ptr

typedef CORBA_FixedDef* CORBA_FixedDef_ptr

typedef u_int CORBA_Flags

typedef CORBA_IDLType* CORBA_IDLType_ptr

typedef CORBA_IRObject* CORBA_IRObject_ptr

typedef class CORBA_ImplementationDef* CORBA_ImplementationDef_ptr

typedef CORBA_InterfaceDef* CORBA_InterfaceDef_ptr

typedef CORBA_InvalidPolicies* CORBA_InvalidPolicies_ptr

typedef CORBA_LocalInterfaceDef* CORBA_LocalInterfaceDef_ptr

typedef class CORBA_LocalObject* CORBA_LocalObject_ptr

typedef CORBA_ModuleDef* CORBA_ModuleDef_ptr

typedef class CORBA_NVList* CORBA_NVList_ptr

typedef class CORBA_NamedValue* CORBA_NamedValue_ptr

typedef CORBA_NativeDef* CORBA_NativeDef_ptr

typedef CORBA_ORB_ObjectIdList* CORBA_ORB_ObjectIdList_ptr

typedef class CORBA_ORB* CORBA_ORB_ptr

typedef class CORBA_Object* CORBA_Object_ptr

typedef CORBA_OperationDef* CORBA_OperationDef_ptr

typedef CORBA_PolicyCurrent* CORBA_PolicyCurrent_ptr

typedef CORBA_PolicyError* CORBA_PolicyError_ptr

typedef CORBA_PolicyManager* CORBA_PolicyManager_ptr

typedef CORBA_Policy* CORBA_Policy_ptr

typedef CORBA_PollableSet* CORBA_PollableSet_ptr

typedef CORBA_Pollable* CORBA_Pollable_ptr

typedef CORBA_PrimitiveDef* CORBA_PrimitiveDef_ptr

typedef class CORBA_Principal* CORBA_Principal_ptr

typedef CORBA_Repository* CORBA_Repository_ptr

typedef class CORBA_Request* CORBA_Request_ptr

typedef CORBA_SequenceDef* CORBA_SequenceDef_ptr

typedef class CORBA_ServerRequest* CORBA_ServerRequest_ptr

typedef CORBA_ServiceDetail* CORBA_ServiceDetail_ptr

typedef CORBA_ServiceInformation* CORBA_ServiceInformation_ptr

typedef CORBA_StringDef* CORBA_StringDef_ptr

typedef CORBA_StructDef* CORBA_StructDef_ptr

typedef CORBA_TypeCodeFactory* CORBA_TypeCodeFactory_ptr

typedef class CORBA_TypeCode* CORBA_TypeCode_ptr

typedef CORBA_TypedefDef* CORBA_TypedefDef_ptr

typedef CORBA_UnionDef* CORBA_UnionDef_ptr

typedef CORBA_ValueBoxDef* CORBA_ValueBoxDef_ptr

typedef CORBA_ValueDef* CORBA_ValueDef_ptr

typedef CORBA_ValueFactoryBase* CORBA_ValueFactory_ptr

typedef CORBA_ValueMemberDef* CORBA_ValueMemberDef_ptr

typedef CORBA_WrongTransaction* CORBA_WrongTransaction_ptr

typedef CORBA_WstringDef* CORBA_WstringDef_ptr

typedef void (* TAO_Skeleton)( TAO_ServerRequest &, void *, void *, CORBA_Environment &ACE_TRY_ENV )

## Enumeration Type Documentation

enum TAO_SERVANT_LOCATION

  | Enumeration values:
  TAO_SERVANT_FOUND |
  TAO_DEFAULT_SERVANT |
  TAO_SERVANT_MANAGER |
  TAO_SERVANT_NOT_FOUND |

## Function Documentation

const char *get_rcsid_tao _ CORBA::Environment & TAO_default_environment ( | void )`[inline]`

CORBA::Boolean operator<< ( | TAO_OutputCDR & cdr,
| const TAO_opaque & x )

CORBA::Boolean operator>> ( | TAO_InputCDR & cdr,
| TAO_opaque & x )

## Variable Documentation

TAO_SYSTEM_EXCEPTION_LIST class CORBA_WrongTransaction

TAO_Export CORBA::TypeCode_ptr TC_opaque